Download it now!
Bug 126122 - Icon for Indent and Promote needs differentiation
Summary: Icon for Indent and Promote needs differentiation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.6
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-Sifr
  Show dependency treegraph
 
Reported: 2019-06-27 07:05 UTC by Heiko Tietze
Modified: 2020-07-15 08:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Impress properties sidebar with Colibre icon theme (7.48 KB, image/png)
2019-06-27 07:05 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-06-27 07:05:52 UTC
Created attachment 152437 [details]
Impress properties sidebar with Colibre icon theme

Colibre, Breeze, and Sifr use the same icon for Increase/Decrease Indent and Promote/Demote. As those are different functions it needs some differentiation.
Comment 1 Rizal Muttaqin 2019-07-04 14:47:45 UTC
(In reply to Heiko Tietze from comment #0)
> Created attachment 152437 [details]
> Impress properties sidebar with Colibre icon theme
> 
> Colibre, Breeze, and Sifr use the same icon for Increase/Decrease Indent and
> Promote/Demote. As those are different functions it needs some
> differentiation.

Have tried to apply Increase Indent to numbered list and the result is the same with Demote One Level so do Decrease Indent same with Promote One Level. So, should we change them?
Comment 2 Heiko Tietze 2019-07-10 08:10:09 UTC
The indentation works as promotion in case of lists but not for ordinary paragraphs. Still two different functions that consequently require (slightly) different icons.
Comment 3 Commit Notification 2020-06-11 21:39:50 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/444a41bf9525193bb1598eb8d0cdd4aaa2137c8b

tdf#126122 differentiate between indent and promote icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-11 22:25:43 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ad685e0443f65d4c4ea1b85b67d14c8aa41d4a03

tdf#126122 differentiate between indent and promote icons

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-06-12 14:02:27 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f60b09b5d3edad6aa16dc494de0b35cbf9157be6

Sifr: tdf#126122 differentiate Indent and Promote/Demote

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-13 13:12:41 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/5ebb8fbd21b53cf86f0029338058aaeaf616626c

Sifr: tdf#126122 differentiate Indent and Promote/Demote

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-06-27 13:42:47 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/089979571967dc5e78e82ec6ba3fb97cbfbbe525

Breeze: tdf#133538, tdf#126122, tdf#70102

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-27 15:04:55 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/60632e4f6bf46f3320f6536cd6e944bb1dac169c

Breeze: tdf#133538, tdf#126122, tdf#70102

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-14 02:52:57 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/14a43b44efd196005a648b9a20954b71db8d508d

Sifr: tdf#126122 differentiate Indent and Promote/Demote

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-07-15 08:28:39 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/4686219d9fcd0dfb3de1937079458cbc439f13a6

Breeze: tdf#126122, tdf#133038, tdf#133582

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.